import scipy as sp

def erodeByVector(I,v):
    sr,sc = v
    if sr<0:
        sr=-sr
        sc=-sc
    rows,cols = I.shape[:2]
    if sc<0:
        A = I[:rows-sr,-sc:]
        B = I[sr:,:cols+sc]
    else:
        A = I[:rows-sr,:cols-sc]
        B = I[sr:,sc:]
    E = sp.minimum(A,B)
    return E    

def morphologicalCovariance(I,v):
    E = erodeByVector(I,v)

    VolE = E.sum()
    VolI = I.sum()
    return VolE/VolI

