# Generate random points on sphere, based on existing random number generators.
import numpy as np

def _toSphere(x):
    theta = x[0]*np.pi*2 # This assumes uniform distribution over [0,1)
    t = 2*x[1]-1 # This assumes uniform distribution over [0,1]
    r = np.sqrt(1-t*t)
    return np.array([r*np.cos(theta),r*np.sin(theta),t])

def equalAreaSphere(R):
    while True:
        x = next(R)
        d = _toSphere(x)
        yield d

